WPS8ParserInternal::Frame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPS8ParserInternal::Frame Struct Reference

Internal: a frame, a zone which can contain text, picture, ... More...

## Public Types
enum | { UNKNOWN = 0, Header, Footer, Table, Object, Text }
| The frame type. More...

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
bool | m_parsed
| a flag to know if the frame is already sent to the listener More...
int | m_type
| the frame type More...
WPSPosition | m_pos
| the frame position More...
int | m_idStrs
| identifier corresponding to a text zone (STRS) More...
int | m_idObject
| identifier corresponding to an object zone (EOBJ) More...
int | m_idTable
| identifier corresponding to a table (MCLD) More...
int | m_idOle
| identifier corresponding to an ole More...
int | m_columns
| the number of columns for a textbox, ... More...
WPSEntry | m_idBorder
| the border: an entry to some complex border (if sets) More...
uint32_t | m_backgroundColor
| the border's color More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &ft)
| operator << More...

## Detailed Description

Internal: a frame, a zone which can contain text, picture, ...

and have some borders

## Member Enumeration Documentation

anonymous enum

The frame type.

- Header/Footer: the header and footer frame
- Table : a table
- Object : a picture, ...
- Text : a text zone

Enumerator
UNKNOWN |
Header |
Footer |
Table |
Object |
Text |

## Constructor & Destructor Documentation

WPS8ParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | ft
| ) |  |
| friend

operator <<

## Member Data Documentation

uint32_t WPS8ParserInternal::Frame::m_backgroundColor

the border's color

Referenced by WPS8ParserInternal::operator<<().

int WPS8ParserInternal::Frame::m_columns

the number of columns for a textbox, ...

Referenced by WPS8ParserInternal::operator<<().

std::string WPS8ParserInternal::Frame::m_error

a string used to store the parsing errors

Referenced by WPS8ParserInternal::operator<<().

WPSEntry WPS8ParserInternal::Frame::m_idBorder

the border: an entry to some complex border (if sets)

Referenced by WPS8ParserInternal::operator<<().

int WPS8ParserInternal::Frame::m_idObject

identifier corresponding to an object zone (EOBJ)

Referenced by WPS8Parser::createStructures(), and WPS8ParserInternal::operator<<().

int WPS8ParserInternal::Frame::m_idOle

identifier corresponding to an ole

Referenced by WPS8ParserInternal::operator<<().

int WPS8ParserInternal::Frame::m_idStrs

identifier corresponding to a text zone (STRS)

Referenced by WPS8Parser::getTableSTRSId(), WPS8ParserInternal::operator<<(), and WPS8Parser::sendTable().

int WPS8ParserInternal::Frame::m_idTable

identifier corresponding to a table (MCLD)

Referenced by WPS8Parser::createStructures(), WPS8ParserInternal::operator<<(), and WPS8Parser::sendTable().

bool WPS8ParserInternal::Frame::m_parsed
| mutable

a flag to know if the frame is already sent to the listener

Referenced by WPS8Parser::sendTable().

WPSPosition WPS8ParserInternal::Frame::m_pos

the frame position

Referenced by Frame(), and WPS8ParserInternal::operator<<().

int WPS8ParserInternal::Frame::m_type

the frame type

Referenced by WPS8ParserInternal::operator<<().

The documentation for this struct was generated from the following file:

- WPS8.cpp